Groovy 1.7.10

## groovy.util.slurpersupport
[Java] Class Attribute

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.slurpersupport.GPathResult
              groovy.util.slurpersupport.Attribute

    public class Attribute
    extends GPathResult

Lazy evaluated representation of a node attribute.

Authors:
  John Wilson

Field Summary

Fields inherited from class GPathResult
name, namespaceMap, namespacePrefix, namespaceTagHints, parent

Constructor Summary
`Attribute(String name, String value, GPathResult parent, String namespacePrefix, Map namespaceTagHints)` @param name of the attribute

Method Summary
`protected void` | `appendNode(Object newValue)`
`void` | `build(GroovyObject builder)`
`Iterator` | `childNodes()`
`GPathResult` | `find(Closure closure)`
`GPathResult` | `findAll(Closure closure)`
`Iterator` | `iterator()`
`String` | `name()`
`Iterator` | `nodeIterator()`
`GPathResult` | `parents()`
`protected void` | `replaceBody(Object newValue)`
`protected void` | `replaceNode(Closure newValue)`
`int` | `size()`
`String` | `text()`
`Writer` | `writeTo(Writer out)`

Methods inherited from class GPathResult

appendNode, breadthFirst, childNodes, children, declareNamespace, depthFirst, equals, find, findAll, getAt, getAt, getBody, getProperty, isEmpty, iterator, leftShift, list, lookupNamespace, name, nodeIterator, parent, parents, plus, putAt, replaceBody, replaceNode, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Attribute

    public Attribute(String name, String value, GPathResult parent, String namespacePrefix, Map namespaceTagHints)

  Parameters:
    `name` - of the attribute
    `value` - of the attribute
    `parent` - the GPathResult prior to the application of the expression creating this GPathResult
    `namespacePrefix` - the namespace prefix if any
    `namespaceTagHints` - the known tag to namespace mappings

Method Detail

### appendNode

    protected void appendNode(Object newValue)

### build

    public void build(GroovyObject builder)

### childNodes

    public Iterator childNodes()

### find

    public GPathResult find(Closure closure)

### findAll

    public GPathResult findAll(Closure closure)

### iterator

    public Iterator iterator()

### name

    public String name()

### nodeIterator

    public Iterator nodeIterator()

### parents

    public GPathResult parents()

### replaceBody

    protected void replaceBody(Object newValue)

### replaceNode

    protected void replaceNode(Closure newValue)

### size

    public int size()

### text

    public String text()

### writeTo

    public Writer writeTo(Writer out)

Copyright © 2003-2010 The Codehaus. All rights reserved.